Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CoderStateWithPlayerIDMapStruct Struct Reference
[RakVoice Subsystem The RakVoice Subsytem]

Maintain association between communicating peer. More...

`#include <RakVoice.h>`

List of all members.

## Public Attributes
void * | decoderState
void * | encoderState
unsigned long | lastUsageTime
PlayerID | playerId
unsigned short | lastReceivedPacketNumber
unsigned short | nextPacketNumber

## Detailed Description

Maintain association between communicating peer.

Each paired player permutation requires its own encoder and decoder

## Member Data Documentation

void* CoderStateWithPlayerIDMapStruct::decoderState

| State of the decoder

void* CoderStateWithPlayerIDMapStruct::encoderState

| State of the encoder

unsigned short CoderStateWithPlayerIDMapStruct::lastReceivedPacketNumber

| Number of packet receive from the last decoding operation

unsigned long CoderStateWithPlayerIDMapStruct::lastUsageTime

| last time an operation occured for this association

unsigned short CoderStateWithPlayerIDMapStruct::nextPacketNumber

| next packet number

PlayerID CoderStateWithPlayerIDMapStruct::playerId

| Remote player id

The documentation for this struct was generated from the following file:

- Projects/raknet/include/rakvoice/RakVoice.h